# Comparison of the effect of the two noise modes
#
# Uses the "strong minority, weak majority" bias configuration.
---
paths:
  model_note: noise_modes

perform_sweep: true
perform_validation: false

worker_kwargs:
  save_streams: false

parameter_space:
  num_steps: 256k  # for repetitions (1000 steps / repetition, see below)
  write_every: 1000

  seed: !sweep
    default: 42
    range: [1]   # dummy; simply to have a `seed` dimension to average over
    order: -1000

  SocialSpinModel:
    graph:
      model: complete
      num_vertices: 10000

    # Weak majority, strong minority bias configuration (type1to2transition)
    init:
      frac_up: !sweep-default
        default: 0.0  # m0 = -1  (for the rho0 sweep)
        # default: 0.5  # m0 = 0     (for the omega sweep)
        values: [0.0, 0.5, 1.0]

      frac_unbiased: !sweep
        default: 0.3
        # linspace: [0, 1, 11]
        values:
          - 0.0
          - 0.2
          - 0.4
          - 0.6
          - 0.8
          - 1.0

      frac_biased_up: 0.6

      omega_up: 2.0
      omega_down: !sweep-default
        default: 0.3
        linspace: [0.1, 1, 10]

    beta: 1.3

    # Change the noise mode
    noise_mode: !sweep
      default: flip
      values:
        - flip
        - random_state

    p_flip_random: !sweep
      default: 0.01
      # linspace: [0, 0.25, 101]
      linspace: [0, 0.5, 201]

    p_noise: !coupled-sweep
      target_name: p_flip_random  # -> use the same values

    # Repeat on complete graph, no need for different "graph topologies"
    repetitions:
      enabled: true
      interval: 1000

    # Don't need that much output
    write_degree_distribution: false
    write_topology: false
    write_agent_data: false
